
QGIS Application - Bug report #10374

moving object function disabled with Oracle provider

2014-05-27 07:29 AM - sylvain pierre

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Oracle

Affected QGIS version:2.2.0 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 18793

Description

QGIS 2.2 with connection to Oracle spatial.

When I try to edit point layer, moving object function is disabled.

Adding function is enabled an run well.

With postgis layer,  function is enabled.

Regards

Sylvain

History

#1 - 2014-06-28 07:36 AM - Jürgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#2 - 2014-07-04 01:13 AM - Jürgen Fischer

- Category changed from Data Provider to Data Provider/Oracle

#3 - 2014-07-04 01:13 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#4 - 2014-07-04 04:55 AM - Jürgen Fischer

Does "Editing capabilities of this layer" in the meta data page of the layer's properties include "Change Geometries"?  It should, if you have UPDATE

privilege on the geometry column of the table in Oracle.

[BTW your email address bounces]

#5 - 2014-07-04 05:48 AM - sylvain pierre

With french translation, properties are:

"Ajouter des entités, Supprimer des entités, Changer des valeurs attributaires, Créer un index spatial, Accès rapide aux entités via l'ID" =>

Add entity,delete entity, change attribute values, create spatial index, fast access via ID but no "Change geomatries".

I've looked for privilege fot the table I'm working on with my account and here is DELETE, INSERT, SELECT and UPDATE...

#6 - 2014-07-04 06:54 AM - sylvain pierre
Another clue:

I think issue relies on QgsVectorDataProvider::ChangeGeometries property (I'm not a C++ expert;-))

This property value is set by scanning all_col_privs oracle view which in my case is totaly empty.

So I think it is a DBA problem.

My DBA has not implemented column level security.

#7 - 2014-07-04 01:33 PM - Jürgen Fischer

sylvain pierre wrote:

This property value is set by scanning all_col_privs oracle view which in my case is totaly empty.

Correct.

So I think it is a DBA problem.

My DBA has not implemented column level security.

I didn't know that you can disable it - and I can't find any pointer how or how you can verify whether it's enabled or not.

#8 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#9 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#10 - 2018-04-21 01:50 PM - Nyall Dawson

- Resolution set to invalid

- Description updated

- Status changed from Open to Closed

Appears not to be a qgis issue
